﻿
@{
    ViewBag.Title = "Master Group";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<script src="~/Scripts/jquery-3.3.1.js"></script>
@*<script src="~/gentelella-master/vendors/select2/dist/js/select2.min.js"></script>*@
<script src="~/gentelella-master/vendors/select2/vendor/jquery-2.1.0.js"></script>
<script>
    var Group = function () {

        var initMasterGroup = function () {
            $('#table-master-group').on('error.dt', function (e, settings, techNote, message) {
                $("#lblError").text(message, '. Click "Reload Data" button.');
                $("#lblError").show();
                //$("#divError").append("<div class='well' style='overflow: auto'> " +
                //    "< div class= 'col-md-12' > " +
                //    "<h3>Gagal menampilkan data.</h3> " +
                //    "<p>Error message :</p> " +
                //    "<label id='lblError' class='control-label'></label> " +
                //    "</div > " +
                //    "</div >");
                //$("#error_datatable").show('modal');
                //console.log('An error has been reported by DataTables: ', message);
            }).DataTable({
                "ajax": {
                    //"url": "http://10.2.3.72:120/api/MasterGroup",
                    "url": "/Master/getDataMasterGroup",
                    "type": "GET",
                    "datatype": "json",
                    "data": function (data) { },
                },
                "columns": [
                    {
                        "data": "GROUP_ID"
                    },
                    {
                        "data": "GROUP_CODE"
                    },
                    {
                        "data": "GROUP_DESC"
                    },
                    {
                        "data": "GROUP_STATUS"
                    },
                    {
                        "render": function (data, type, full) {
                            var aksi = '<a class="btn btn-sm" id="btn-edit"><i class="fa fa-edit" ></i> Edit</a> | <a class="btn btn-sm" id="btn-delete"><i class="fa fa-eraser" ></i> Delete</a>';
                            return aksi;
                        }
                    }
                ],
                "dom": "Bfrtip",
                "buttons": [
                    {
                        "extend": "copy",
                        "className": "btn-sm"
                    },
                    {
                        "extend": "csv",
                        "className": "btn-sm"
                    },
                    {
                        "extend": "excel",
                        "className": "btn-sm"
                    },
                    {
                        "extend": "pdfHtml5",
                        "className": "btn-sm"
                    },
                    {
                        "extend": "print",
                        "className": "btn-sm"
                    },
                ],
                //"lengthMenu": [[2, -1], [2, "All"]],
                //"sDom": "<'table-responsive't><'row'<p i>>",
                //"paging": false,
                //"searching": false,
                //"info": false,
                "responsive": true,
                "processing": true,
                "destroy": true
            });
            $("#lblError").hide();
        }

        var reload = function () {
            $("#btn-reload").on('click', function () {
                initMasterGroup();
                $("#lblError").hide();
            });
        }

        var selectstatus = function () {
            //$('.js-example-basic-single').select2();
            $('.js-example-basic-single').select2({
                tags: "true",
                placeholder: "Select an option",
                allowClear: true,
                minimumInputLength: 0
            });
        }

        var btnsave = function () {
            $("#btn-save").on('click', function () {
                save();
            });
        }

        var save = function () {
            var req = null;
            var Group_ID = $("#txtGroupId").val();
            var Group_Code = $("#txtGroupCode").val();
            var Group_Desc = $("#txtGroupDesc").val();
            var Group_Stat = $("#selectGroupStat").val();
            var p = {
                GROUP_ID: Group_ID,
                GROUP_CODE: Group_Code,
                GROUP_DESC: Group_Desc,
                GROUP_STATUS: Group_Stat
            }
            console.log(p);
            req = $.ajax({
                contentType: "application/json",
                traditional: true,
                data: JSON.stringify(p),
                method: "POST",
                url: "/MasterGroup/AddData",
                timeout: 30000
            });
            req.done(function (data) {
                if (data.sts === "S") {
                    $('body').pgNotification({
                        style: 'flip',
                        message: '<b>Berhasil</b><br />' + data.msg + '.<br />',
                        position: 'top-right',
                        timeout: 3000,
                        type: 'success'
                    }).show();
                    clear();
                } else {
                    $('body').pgNotification({
                        style: 'flip',
                        message: '<b>Gagal</b><br />' + data.msg + '.<br />',
                        position: 'top-right',
                        timeout: 3000,
                        type: 'error'
                    }).show();
                }
            }).fail(function () {
                $('body').pgNotification({
                    style: 'flip',
                    message: '<b>Gagal</b><br />Request time out.<br />',
                    position: 'top-right',
                    timeout: 3000,
                    type: 'error'
                }).show();
            });
        }

        var simpan = function () {
            $('#btn-save').click(function (nRow) {
                var jqInputs = $('input', nRow);
                var jqSelects = $('select', nRow);
                var stAksi = $("#stAksi").val();
                if (myForm.valid() == true) {
                    var kdAlat = $("#kdAlat").val();
                    var nmAlat = $("#nmAlat").val();
                    var jnsAlat = $("#jnsAlat").val(); //$('#select2-jnsAlat-container').text();
                    var coaAlat = $("#coaAlat").val();
                    var bebanmin = $("#bebanmin").val();
                    var bebanmax = $("#bebanmax").val();
                    var stsAlat = $("#stsAlat").val();
                    var pemilik = $("#pemilik").val();
                    var nmPemilik = $('#select2-pemilik-container').text();
                    var sharing = $("#sharing").val();
                    var keterangan = $("#keterangan").val();
                    var stat = $("#stat").val();
                    if (stAksi == 'I') {
                        var req = null;
                        swal({
                            title: '<b>Apakah Anda yakin ?</b>',
                            text: "<br/>Untuk menyimpan data",
                            type: 'warning',
                            showCancelButton: true,
                            confirmButtonColor: '#3085d6',
                            cancelButtonColor: '#d33',
                            confirmButtonText: 'Ya',
                            cancelButtonText: 'Tidak'
                        }).then(function (isConfirm) {
                            if (isConfirm) {
                                //plp.blok();
                                var p = {
                                    XKD_ALAT: kdAlat,
                                    XNM_ALAT: nmAlat,
                                    XJNS_ALAT: jnsAlat,
                                    XPEMILIK: pemilik,
                                    XNM_PEMILIK: nmPemilik,
                                    XSHARING: sharing,
                                    XREC_STAT: stat,//$('#select2-stat-container').text(),
                                    XSTATUS_ALAT: stsAlat,
                                    XMIN_BEBAN: bebanmin,
                                    XMAX_BEBAN: bebanmax,
                                    XCOA_ALAT: coaAlat,
                                    XKETERANGAN: keterangan
                                }
                                console.log(dataH);
                                req = $.ajax({
                                    contentType: "application/json",
                                    traditional: true,
                                    data: JSON.stringify(dataH),
                                    method: "POST",
                                    url: "/MasterAlat/AddDataAlat",
                                    //beforeSend: function () {
                                    //    plp.blok();
                                    //},
                                    timeout: 30000
                                });
                                req.done(function (data) {
                                    //plp.unblok();
                                    if (data.sts === "S") {
                                        $('body').pgNotification({
                                            style: 'flip',
                                            message: '<b>Berhasil</b><br />' + data.msg + '.<br />',
                                            position: 'top-right',
                                            timeout: 3000,
                                            type: 'success'
                                        }).show();
                                        clear();
                                    } else {
                                        $('body').pgNotification({
                                            style: 'flip',
                                            message: '<b>Gagal</b><br />' + data.msg + '.<br />',
                                            position: 'top-right',
                                            timeout: 3000,
                                            type: 'error'
                                        }).show();
                                    }
                                }).fail(function () {
                                    //plp.unblok();
                                    $('body').pgNotification({
                                        style: 'flip',
                                        message: '<b>Gagal</b><br />Request time out.<br />',
                                        position: 'top-right',
                                        timeout: 3000,
                                        type: 'error'
                                    }).show();
                                });
                            }
                        });
                    }
                }
                else {
                    $('body').pgNotification({
                        style: 'flip',
                        message: '<b>WARNING</b><br />Kolom bertanda ( <span style="color:red">*</span> ) wajib di isi.<br />',
                        position: 'top-right',
                        timeout: 4000,
                        type: 'warning'
                    }).show();
                }
            });
        }

        //var select2Status = function () {
        //    $("#status").select2({
        //        ajax: {
        //            url: "/Helper/getStatus",
        //            dataType: 'json',
        //            delay: 250,
        //            data: function (params) {
        //                return {
        //                    p: params.term,
        //                    page: params.page
        //                };
        //            },
        //            processResults: function (data) {
        //                return {
        //                    results: $.map(data.items, function (item) {
        //                        return {
        //                            text: item.NAMA,
        //                            id: item.KODE
        //                        }
        //                    })
        //                };
        //            },
        //            cache: true
        //        },
        //        escapeMarkup: function (markup) { return markup; },
        //        //minimumInputLength: 1
        //        minimumInputLength: 0 // untuk menampilkan semua
        //    });
        //}

        return {
            init: function () {
                initMasterGroup();
                reload();
                selectstatus();
                btnsave();
                //select2Status();
            }
        };
    }();

    $(document).ready(function () {
        Group.init();
        $.fn.dataTable.ext.errMode = 'none';
        $("#divError").hide();
    });

</script>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>List of Master <small>Group</small></h2>
                <ul class="nav navbar-right panel_toolbox">
                    <li>
                        <button type="button" class="btn btn-sm btn-dark" data-toggle="modal" @*data-target=".bs-example-modal-lg"*@ data-target="#ModalAdd"><i class="fa fa-plus"></i> New</button>
                    </li>
                    <li>
                        <button id="btn-reload" type="button" class="btn btn-sm btn-success"><i class="fa fa-refresh"></i> Reload Data</button>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">

                <label id="lblError" class="control-label" hidden="hidden"></label>
                <table id="table-master-group" class="table table-striped jambo_table bulk_action small" width="100%">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>GROUP CODE</th>
                            <th>DESCRIPTION</th>
                            <th>STATUS</th>
                            <th>ACTION</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>

            </div>
        </div>
    </div>
</div>



<!--Modal-->
<div id="ModalAdd" class="modal animated bounceIn bs-example-modal-lg" @*tabindex="-1"*@ role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">Add New Master Group</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal form-label-left input_mask">

                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            Group Id <span class="required">*</span>
                        </label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input id="txtGroupId" class="form-control" required="required" type="text">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            Group Code <span class="required">*</span>
                        </label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input id="txtGroupCode" class="form-control" required="required" type="text">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            Group Description <span class="required">*</span>
                        </label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <input id="txtGroupDesc" class="form-control" required="required" type="text">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            Status <span class="required">*</span>
                        </label>
                        <div class="col-md-9 col-sm-9 col-xs-12">
                            <select id="selectGroupStat" class="js-example-basic-single" style="width:100%" required="required">
                                <option value="A">Active</option>
                                <option value="D">Deactive</option>
                            </select>
                        </div>
                    </div>

                    <div class="ln_solid"></div>
                    <div class="form-group">
                        <div class="col-md-9 col-sm-9 col-xs-12 col-md-offset-8">
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                            <button class="btn btn-primary" type="reset">Reset</button>
                            <button id="btn-save" type="submit" class="btn btn-dark"><i class="fa fa-save"></i> Save</button>
                        </div>
                    </div>
                </form>
                @*<div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal"><i class="fa fa-close"></i> Close</button>
                        <button type="button" class="btn btn-dark"><i class="fa fa-save"></i> Save</button>
                    </div>*@

            </div>
        </div>
    </div>
</div>

    <!--End Modal-->


